EventsBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.EventsBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class EventsBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.EventsBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class EventsBossEJBImpl

extends BizappSessionEJB
implements javax.ejb.SessionBean

The BizApp's interface to the Events Subsystem

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`EventsBossEJBImpl()`

Method Summary
`boolean` | `acknowledgeAlert(int sessionID, EscalationAlertType alertType, java.lang.Integer alertID, long pauseWaitTime, java.lang.String moreInfo)`
`void` | `activateAlertDefinitions(int sessionID, AppdefEntityID[] eids, boolean activate)` Activate or deactivate alert definitions by AppdefEntityID.
`void` | `activateAlertDefinitions(int sessionID, java.lang.Integer[] ids, boolean activate)` Activate/deactivate a collection of alert definitions
`void` | `addAction(int sessionID, Escalation e, ActionConfigInterface cfg, long waitTime)`
`Action` | `createAction(int sessionID, java.lang.Integer adid, java.lang.String className, ConfigResponse config)`
`AlertDefinitionValue` | `createAlertDefinition(int sessionID, AlertDefinitionValue adval)` Create an alert definition
`Escalation` | `createEscalation(int sessionID, java.lang.String name, java.lang.String desc, boolean allowPause, long maxWaitTime, boolean notifyAll, boolean repeat, EscalationAlertType alertType, java.lang.Integer alertDefId)` Create a new escalation.
`AlertDefinitionValue` | `createResourceTypeAlertDefinition(int sessionID, AppdefEntityTypeID aetid, AlertDefinitionValue adval)` Create an alert definition for a resource type
`void` | `deleteAlertDefinitions(int sessionID, java.lang.Integer[] ids)` Delete a collection of alert definitions
`int` | `deleteAlerts(int sessionID, AppdefEntityID aeid)` Delete all alerts for a resource
`void` | `deleteAlerts(int sessionID, java.lang.Integer[] ids)` Delete list of alerts
`int` | `deleteAlerts(int sessionID, long begin, long end)` Delete all alerts for a given period of time
`int` | `deleteAlertsForDefinitions(int sessionID, java.lang.Integer[] adids)` Delete all alerts for a list of alert definitions
`void` | `deleteEscalationById(int sessionID, java.lang.Integer id)`
`void` | `deleteEscalationById(int sessionID, java.lang.Integer[] ids)` remove escalation by id
`void` | `deleteEscalationByName(int sessionID, java.lang.String name)`
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.Map` | `findAlertDefinitionNames(int sessionID, AppdefEntityID id, java.lang.Integer parentId)` Find all alert definition names for a resource
`PageList` | `findAlertDefinitions(int sessionID, AppdefEntityID id, PageControl pc)` Get a collection of alert definitions for a resource
`PageList` | `findAlertDefinitions(int sessionID, AppdefEntityTypeID id, PageControl pc)` Get a collection of alert definitions for a resource or resource type
`PageList` | `findAlerts(int sessionID, AppdefEntityID id, long begin, long end, PageControl pc)` Find all alerts for an appdef resource
`PageList` | `findAlerts(int sessionID, AppdefEntityID id, PageControl pc)` Find all alerts for an appdef resource
`PageList` | `findAllAlertDefinitions(int sessionID)` Get a list of all alert definitions
`PageList` | `findAllAlerts(int sessionID)` Get a list of all alerts
`Escalation` | `findEscalationById(int sessionID, java.lang.Integer id)` retrieve escalation object by escalation id.
`java.util.List` | `findRecentAlerts(int sessionID, int count, int priority, long timeRange, AppdefEntityID[] ids)` Search recent alerts given a set of criteria
`java.util.List` | `findRecentAlerts(java.lang.String username, int count, int priority, long timeRange, AppdefEntityID[] ids)` Search alerts given a set of criteria
`void` | `fixAlert(int sessionID, EscalationAlertType alertType, java.lang.Integer alertID, java.lang.String moreInfo)` Fix a single alert.
`void` | `fixAlert(int sessionID, EscalationAlertType alertType, java.lang.Integer alertID, java.lang.String moreInfo, boolean fixAllPrevious)` Fix a batch of alerts.
`ConfigSchema` | `getActionConfigSchema(int sessionID, java.lang.String actionClass)` Get config schema info for an action class
`java.util.List` | `getActionsForAlert(int sessionId, java.lang.Integer alertId)` Get actions for a given alert.
`java.util.List` | `getActiveEscalations(int sessionId, int maxEscalations)` Retrieve a list of `EscalationState`s, representing the active escalations in the system.
`Alert` | `getAlert(int sessionID, java.lang.Integer id)` Find an alert by ID
`int[]` | `getAlertCount(int sessionID, AppdefEntityID[] ids)` Get the number of alerts for the given array of AppdefEntityID's
`AlertDefinitionValue` | `getAlertDefinition(int sessionID, java.lang.Integer id)` Get an alert definition by ID
`Escalatable` | `getEscalatable(int sessionId, EscalationState state)` Gets the escalatable associated with the specified state
`java.lang.Integer` | `getEscalationIdByAlertDefId(int sessionID, java.lang.Integer id, EscalationAlertType alertType)` retrieve escalation name by alert definition id.
`java.lang.String` | `getLastFix(int sessionID, java.lang.Integer defId)` Get the last fix if available
`MaintenanceEvent` | `getMaintenanceEvent(int sessionId, java.lang.Integer groupId)` Get a maintenance event by group id
`static org.hyperic.hq.bizapp.shared.EventsBossLocal` | `getOne()`
`ConfigSchema` | `getRegisteredTriggerConfigSchema(int sessionID, java.lang.String triggerClass)` Get config schema info for a trigger class
`void` | `inheritResourceTypeAlertDefinition(AuthzSubject subject, AppdefEntityID id)`
`org.json.JSONObject` | `jsonEscalationByAlertDefId(int sessionID, java.lang.Integer id, EscalationAlertType alertType)` retrieve escalation JSONObject by alert definition id.
`org.json.JSONArray` | `listAllEscalationName(int sessionID)` retrieve all escalation policy names as a Array of JSONObject.
`void` | `removeAction(int sessionID, java.lang.Integer escId, java.lang.Integer actId)`
`MaintenanceEvent` | `scheduleMaintenanceEvent(int sessionId, MaintenanceEvent event)` Schedule a maintenance event
`void` | `setEscalationByAlertDefId(int sessionID, java.lang.Integer id, java.lang.Integer escId, EscalationAlertType alertType)` set escalation name by alert definition id.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `startup()`
`void` | `unscheduleMaintenanceEvent(int sessionId, MaintenanceEvent event)` Schedule a maintenance event
`void` | `unsetEscalationByAlertDefId(int sessionID, java.lang.Integer id, EscalationAlertType alertType)` unset escalation by alert definition id.
`void` | `updateAction(int sessionID, ActionValue aval)` Update an action
`void` | `updateAlertDefinition(int sessionID, AlertDefinitionValue adval)`
`void` | `updateAlertDefinitionBasic(int sessionID, java.lang.Integer alertDefId, java.lang.String name, java.lang.String desc, int priority, boolean activate)` Update just the basics
`void` | `updateEscalation(int sessionID, Escalation escalation, java.lang.String name, java.lang.String desc, long maxWait, boolean pausable, boolean notifyAll, boolean repeat)` Update basic escalation properties

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventsBossEJBImpl

    public EventsBossEJBImpl()

Method Detail

### getAlertCount

    public int[] getAlertCount(int sessionID,
                               AppdefEntityID[] ids)
                        throws SessionNotFoundException,
                               SessionTimeoutException,
                               PermissionException,
                               javax.ejb.FinderException

  Get the number of alerts for the given array of AppdefEntityID's

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `javax.ejb.FinderException`

### createAlertDefinition

    public AlertDefinitionValue createAlertDefinition(int sessionID,
                                                      AlertDefinitionValue adval)
                                               throws AlertDefinitionCreateException,
                                                      PermissionException,
                                                      InvalidOptionException,
                                                      InvalidOptionValueException,
                                                      SessionException

  Create an alert definition

  Throws:
    `AlertDefinitionCreateException`
    `PermissionException`
    `InvalidOptionException`
    `InvalidOptionValueException`
    `SessionException`

### createResourceTypeAlertDefinition

    public AlertDefinitionValue createResourceTypeAlertDefinition(int sessionID,
                                                                  AppdefEntityTypeID aetid,
                                                                  AlertDefinitionValue adval)
                                                           throws AlertDefinitionCreateException,
                                                                  PermissionException,
                                                                  InvalidOptionException,
                                                                  InvalidOptionValueException,
                                                                  SessionNotFoundException,
                                                                  SessionTimeoutException

  Create an alert definition for a resource type

  Throws:
    `AlertDefinitionCreateException`
    `PermissionException`
    `InvalidOptionException`
    `InvalidOptionValueException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### inheritResourceTypeAlertDefinition

    public void inheritResourceTypeAlertDefinition(AuthzSubject subject,
                                                   AppdefEntityID id)
                                            throws AppdefEntityNotFoundException,
                                                   PermissionException,
                                                   InvalidOptionException,
                                                   InvalidOptionValueException,
                                                   AlertDefinitionCreateException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `InvalidOptionException`
    `InvalidOptionValueException`
    `AlertDefinitionCreateException`

### createAction

    public Action createAction(int sessionID,
                               java.lang.Integer adid,
                               java.lang.String className,
                               ConfigResponse config)
                        throws SessionNotFoundException,
                               SessionTimeoutException,
                               ActionCreateException,
                               javax.ejb.RemoveException,
                               javax.ejb.FinderException,
                               PermissionException

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `ActionCreateException`
    `javax.ejb.RemoveException`
    `javax.ejb.FinderException`
    `PermissionException`

### activateAlertDefinitions

    public void activateAlertDefinitions(int sessionID,
                                         java.lang.Integer[] ids,
                                         boolean activate)
                                  throws SessionNotFoundException,
                                         SessionTimeoutException,
                                         javax.ejb.FinderException,
                                         PermissionException

  Activate/deactivate a collection of alert definitions

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.ejb.FinderException`
    `PermissionException`

### activateAlertDefinitions

    public void activateAlertDefinitions(int sessionID,
                                         AppdefEntityID[] eids,
                                         boolean activate)
                                  throws SessionNotFoundException,
                                         SessionTimeoutException,
                                         AppdefEntityNotFoundException,
                                         PermissionException

  Activate or deactivate alert definitions by AppdefEntityID.

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### updateAlertDefinitionBasic

    public void updateAlertDefinitionBasic(int sessionID,
                                           java.lang.Integer alertDefId,
                                           java.lang.String name,
                                           java.lang.String desc,
                                           int priority,
                                           boolean activate)
                                    throws SessionNotFoundException,
                                           SessionTimeoutException,
                                           javax.ejb.FinderException,
                                           javax.ejb.RemoveException,
                                           PermissionException

  Update just the basics

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.ejb.FinderException`
    `javax.ejb.RemoveException`
    `PermissionException`

### updateAlertDefinition

    public void updateAlertDefinition(int sessionID,
                                      AlertDefinitionValue adval)
                               throws TriggerCreateException,
                                      InvalidOptionException,
                                      InvalidOptionValueException,
                                      AlertConditionCreateException,
                                      ActionCreateException,
                                      javax.ejb.FinderException,
                                      javax.ejb.RemoveException,
                                      SessionNotFoundException,
                                      SessionTimeoutException

  Throws:
    `TriggerCreateException`
    `InvalidOptionException`
    `InvalidOptionValueException`
    `AlertConditionCreateException`
    `ActionCreateException`
    `javax.ejb.FinderException`
    `javax.ejb.RemoveException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### getActionsForAlert

    public java.util.List getActionsForAlert(int sessionId,
                                             java.lang.Integer alertId)
                                      throws SessionNotFoundException,
                                             SessionTimeoutException

  Get actions for a given alert.

  Parameters:
    `alertId` - the alert id
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### updateAction

    public void updateAction(int sessionID,
                             ActionValue aval)
                      throws SessionNotFoundException,
                             SessionTimeoutException

  Update an action

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### deleteAlertDefinitions

    public void deleteAlertDefinitions(int sessionID,
                                       java.lang.Integer[] ids)
                                throws SessionNotFoundException,
                                       SessionTimeoutException,
                                       javax.ejb.RemoveException,
                                       PermissionException

  Delete a collection of alert definitions

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.ejb.RemoveException`
    `PermissionException`

### deleteAlerts

    public void deleteAlerts(int sessionID,
                             java.lang.Integer[] ids)
                      throws SessionNotFoundException,
                             SessionTimeoutException,
                             javax.ejb.RemoveException,
                             PermissionException

  Delete list of alerts

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.ejb.RemoveException`
    `PermissionException`

### deleteAlerts

    public int deleteAlerts(int sessionID,
                            AppdefEntityID aeid)
                     throws SessionNotFoundException,
                            SessionTimeoutException,
                            javax.ejb.RemoveException,
                            PermissionException

  Delete all alerts for a resource

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.ejb.RemoveException`
    `PermissionException`

### deleteAlerts

    public int deleteAlerts(int sessionID,
                            long begin,
                            long end)
                     throws SessionNotFoundException,
                            SessionTimeoutException,
                            javax.ejb.RemoveException,
                            PermissionException

  Delete all alerts for a given period of time

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.ejb.RemoveException`
    `PermissionException`

### deleteAlertsForDefinitions

    public int deleteAlertsForDefinitions(int sessionID,
                                          java.lang.Integer[] adids)
                                   throws SessionNotFoundException,
                                          SessionTimeoutException,
                                          javax.ejb.RemoveException,
                                          PermissionException,
                                          javax.ejb.FinderException

  Delete all alerts for a list of alert definitions

  Throws:
    `javax.ejb.FinderException` - if alert definition is not found
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.ejb.RemoveException`
    `PermissionException`

### getAlertDefinition

    public AlertDefinitionValue getAlertDefinition(int sessionID,
                                                   java.lang.Integer id)
                                            throws SessionNotFoundException,
                                                   SessionTimeoutException,
                                                   javax.ejb.FinderException,
                                                   PermissionException

  Get an alert definition by ID

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.ejb.FinderException`
    `PermissionException`

### getAlert

    public Alert getAlert(int sessionID,
                          java.lang.Integer id)
                   throws SessionNotFoundException,
                          SessionTimeoutException,
                          AlertNotFoundException

  Find an alert by ID

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AlertNotFoundException`

### findAllAlertDefinitions

    public PageList findAllAlertDefinitions(int sessionID)
                                     throws SessionNotFoundException,
                                            SessionTimeoutException,
                                            PermissionException

  Get a list of all alert definitions

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### findAlertDefinitions

    public PageList findAlertDefinitions(int sessionID,
                                         AppdefEntityID id,
                                         PageControl pc)
                                  throws SessionNotFoundException,
                                         SessionTimeoutException,
                                         PermissionException

  Get a collection of alert definitions for a resource

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### findAlertDefinitions

    public PageList findAlertDefinitions(int sessionID,
                                         AppdefEntityTypeID id,
                                         PageControl pc)
                                  throws SessionNotFoundException,
                                         SessionTimeoutException,
                                         PermissionException

  Get a collection of alert definitions for a resource or resource type

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### findAlertDefinitionNames

    public java.util.Map findAlertDefinitionNames(int sessionID,
                                                  AppdefEntityID id,
                                                  java.lang.Integer parentId)
                                           throws SessionNotFoundException,
                                                  SessionTimeoutException,
                                                  AppdefEntityNotFoundException,
                                                  PermissionException

  Find all alert definition names for a resource

  Returns:
    Map of AlertDefinition names and IDs
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findAllAlerts

    public PageList findAllAlerts(int sessionID)
                           throws SessionNotFoundException,
                                  SessionTimeoutException

  Get a list of all alerts

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### findAlerts

    public PageList findAlerts(int sessionID,
                               AppdefEntityID id,
                               PageControl pc)
                        throws SessionNotFoundException,
                               SessionTimeoutException,
                               PermissionException

  Find all alerts for an appdef resource

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### findAlerts

    public PageList findAlerts(int sessionID,
                               AppdefEntityID id,
                               long begin,
                               long end,
                               PageControl pc)
                        throws SessionNotFoundException,
                               SessionTimeoutException,
                               PermissionException

  Find all alerts for an appdef resource

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### findRecentAlerts

    public java.util.List findRecentAlerts(java.lang.String username,
                                           int count,
                                           int priority,
                                           long timeRange,
                                           AppdefEntityID[] ids)
                                    throws javax.security.auth.login.LoginException,
                                           ApplicationException,
                                           ConfigPropertyException

  Search alerts given a set of criteria

  Parameters:
    `username` - the username
    `count` - the maximum number of alerts to return
    `priority` - allowable values: 0 (all), 1, 2, or 3
    `timeRange` - the amount of time from current time to include
    `ids` - the IDs of resources to include or null for ALL
  Returns:
    a list of `Escalatable`s
  Throws:
    `javax.security.auth.login.LoginException`
    `ApplicationException`
    `ConfigPropertyException`

### findRecentAlerts

    public java.util.List findRecentAlerts(int sessionID,
                                           int count,
                                           int priority,
                                           long timeRange,
                                           AppdefEntityID[] ids)
                                    throws SessionNotFoundException,
                                           SessionTimeoutException,
                                           PermissionException

  Search recent alerts given a set of criteria

  Parameters:
    `sessionID` - the session token
    `count` - the maximum number of alerts to return
    `priority` - allowable values: 0 (all), 1, 2, or 3
    `timeRange` - the amount of time from current time to include
    `ids` - the IDs of resources to include or null for ALL
  Returns:
    a list of `Escalatable`s
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### getActionConfigSchema

    public ConfigSchema getActionConfigSchema(int sessionID,
                                              java.lang.String actionClass)
                                       throws SessionNotFoundException,
                                              SessionTimeoutException,
                                              EncodingException

  Get config schema info for an action class

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `EncodingException`

### getRegisteredTriggerConfigSchema

    public ConfigSchema getRegisteredTriggerConfigSchema(int sessionID,
                                                         java.lang.String triggerClass)
                                                  throws SessionNotFoundException,
                                                         SessionTimeoutException,
                                                         EncodingException

  Get config schema info for a trigger class

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `EncodingException`

### deleteEscalationByName

    public void deleteEscalationByName(int sessionID,
                                       java.lang.String name)
                                throws SessionTimeoutException,
                                       SessionNotFoundException,
                                       PermissionException,
                                       ApplicationException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `ApplicationException`

### deleteEscalationById

    public void deleteEscalationById(int sessionID,
                                     java.lang.Integer id)
                              throws SessionTimeoutException,
                                     SessionNotFoundException,
                                     PermissionException,
                                     ApplicationException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `ApplicationException`

### deleteEscalationById

    public void deleteEscalationById(int sessionID,
                                     java.lang.Integer[] ids)
                              throws SessionTimeoutException,
                                     SessionNotFoundException,
                                     PermissionException,
                                     ApplicationException

  remove escalation by id

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `ApplicationException`

### getEscalationIdByAlertDefId

    public java.lang.Integer getEscalationIdByAlertDefId(int sessionID,
                                                         java.lang.Integer id,
                                                         EscalationAlertType alertType)
                                                  throws SessionTimeoutException,
                                                         SessionNotFoundException,
                                                         PermissionException,
                                                         javax.ejb.FinderException

  retrieve escalation name by alert definition id.

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `javax.ejb.FinderException`

### setEscalationByAlertDefId

    public void setEscalationByAlertDefId(int sessionID,
                                          java.lang.Integer id,
                                          java.lang.Integer escId,
                                          EscalationAlertType alertType)
                                   throws SessionTimeoutException,
                                          SessionNotFoundException,
                                          PermissionException

  set escalation name by alert definition id.

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### unsetEscalationByAlertDefId

    public void unsetEscalationByAlertDefId(int sessionID,
                                            java.lang.Integer id,
                                            EscalationAlertType alertType)
                                     throws SessionTimeoutException,
                                            SessionNotFoundException,
                                            PermissionException

  unset escalation by alert definition id.

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### jsonEscalationByAlertDefId

    public org.json.JSONObject jsonEscalationByAlertDefId(int sessionID,
                                                          java.lang.Integer id,
                                                          EscalationAlertType alertType)
                                                   throws SessionException,
                                                          PermissionException,
                                                          org.json.JSONException,
                                                          javax.ejb.FinderException

  retrieve escalation JSONObject by alert definition id.

  Throws:
    `SessionException`
    `PermissionException`
    `org.json.JSONException`
    `javax.ejb.FinderException`

### findEscalationById

    public Escalation findEscalationById(int sessionID,
                                         java.lang.Integer id)
                                  throws SessionTimeoutException,
                                         SessionNotFoundException,
                                         PermissionException

  retrieve escalation object by escalation id.

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### addAction

    public void addAction(int sessionID,
                          Escalation e,
                          ActionConfigInterface cfg,
                          long waitTime)
                   throws SessionTimeoutException,
                          SessionNotFoundException,
                          PermissionException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### removeAction

    public void removeAction(int sessionID,
                             java.lang.Integer escId,
                             java.lang.Integer actId)
                      throws SessionTimeoutException,
                             SessionNotFoundException,
                             PermissionException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### getActiveEscalations

    public java.util.List getActiveEscalations(int sessionId,
                                               int maxEscalations)
                                        throws SessionException

  Retrieve a list of `EscalationState`s, representing the active escalations in the system.

  Throws:
    `SessionException`

### getEscalatable

    public Escalatable getEscalatable(int sessionId,
                                      EscalationState state)
                               throws SessionException

  Gets the escalatable associated with the specified state

  Throws:
    `SessionException`

### listAllEscalationName

    public org.json.JSONArray listAllEscalationName(int sessionID)
                                             throws org.json.JSONException,
                                                    SessionTimeoutException,
                                                    SessionNotFoundException,
                                                    PermissionException

  retrieve all escalation policy names as a Array of JSONObject. Escalation json finders begin with json* to be consistent with DAO finder convention

  Throws:
    `org.json.JSONException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### createEscalation

    public Escalation createEscalation(int sessionID,
                                       java.lang.String name,
                                       java.lang.String desc,
                                       boolean allowPause,
                                       long maxWaitTime,
                                       boolean notifyAll,
                                       boolean repeat,
                                       EscalationAlertType alertType,
                                       java.lang.Integer alertDefId)
                                throws SessionTimeoutException,
                                       SessionNotFoundException,
                                       PermissionException,
                                       DuplicateObjectException

  Create a new escalation. If alertDefId is non-null, the escalation will also be associated with the given alert definition.

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `DuplicateObjectException`

### updateEscalation

    public void updateEscalation(int sessionID,
                                 Escalation escalation,
                                 java.lang.String name,
                                 java.lang.String desc,
                                 long maxWait,
                                 boolean pausable,
                                 boolean notifyAll,
                                 boolean repeat)
                          throws SessionTimeoutException,
                                 SessionNotFoundException,
                                 PermissionException,
                                 DuplicateObjectException

  Update basic escalation properties

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `DuplicateObjectException`

### acknowledgeAlert

    public boolean acknowledgeAlert(int sessionID,
                                    EscalationAlertType alertType,
                                    java.lang.Integer alertID,
                                    long pauseWaitTime,
                                    java.lang.String moreInfo)
                             throws SessionTimeoutException,
                                    SessionNotFoundException,
                                    PermissionException,
                                    ActionExecuteException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `ActionExecuteException`

### fixAlert

    public void fixAlert(int sessionID,
                         EscalationAlertType alertType,
                         java.lang.Integer alertID,
                         java.lang.String moreInfo)
                  throws SessionTimeoutException,
                         SessionNotFoundException,
                         PermissionException,
                         ActionExecuteException

  Fix a single alert. Method is "NotSupported" since all the alert fixes may take longer than the jboss transaction timeout. No need for a transaction in this context.

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `ActionExecuteException`

### fixAlert

    public void fixAlert(int sessionID,
                         EscalationAlertType alertType,
                         java.lang.Integer alertID,
                         java.lang.String moreInfo,
                         boolean fixAllPrevious)
                  throws SessionTimeoutException,
                         SessionNotFoundException,
                         PermissionException,
                         ActionExecuteException

  Fix a batch of alerts. Method is "NotSupported" since all the alert fixes may take longer than the jboss transaction timeout. No need for a transaction in this context.

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `ActionExecuteException`

### getLastFix

    public java.lang.String getLastFix(int sessionID,
                                       java.lang.Integer defId)
                                throws SessionNotFoundException,
                                       SessionTimeoutException,
                                       PermissionException,
                                       javax.ejb.FinderException

  Get the last fix if available

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `javax.ejb.FinderException`

### getMaintenanceEvent

    public MaintenanceEvent getMaintenanceEvent(int sessionId,
                                                java.lang.Integer groupId)
                                         throws SessionNotFoundException,
                                                SessionTimeoutException,
                                                PermissionException,
                                                org.quartz.SchedulerException

  Get a maintenance event by group id

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `org.quartz.SchedulerException`

### scheduleMaintenanceEvent

    public MaintenanceEvent scheduleMaintenanceEvent(int sessionId,
                                                     MaintenanceEvent event)
                                              throws SessionNotFoundException,
                                                     SessionTimeoutException,
                                                     PermissionException,
                                                     org.quartz.SchedulerException

  Schedule a maintenance event

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `org.quartz.SchedulerException`

### unscheduleMaintenanceEvent

    public void unscheduleMaintenanceEvent(int sessionId,
                                           MaintenanceEvent event)
                                    throws SessionNotFoundException,
                                           SessionTimeoutException,
                                           PermissionException,
                                           org.quartz.SchedulerException

  Schedule a maintenance event

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `org.quartz.SchedulerException`

### startup

    public void startup()

### getOne

    public static org.hyperic.hq.bizapp.shared.EventsBossLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BizappSessionEJB`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.